# Sample Makefile for PDFlib's Tcl binding
# $Id: Makefile.sample,v 1.7 2009/09/17 13:11:32 rjs Exp $


RM	= rm -f
TCLBIN = tclsh

all: test

test::
	-$(TCLBIN) hello.tcl
	-$(TCLBIN) image.tcl
	-$(TCLBIN) pdfclock.tcl
	-$(TCLBIN) chartab.tcl
	-$(TCLBIN) invoice.tcl
	-$(TCLBIN) businesscard.tcl
	-$(TCLBIN) starter_basic.tcl
	-$(TCLBIN) starter_block.tcl
	-$(TCLBIN) starter_color.tcl
	-$(TCLBIN) starter_fallback.tcl
	-$(TCLBIN) starter_geospatial.tcl
	-$(TCLBIN) starter_graphics.tcl
	-$(TCLBIN) starter_image.tcl
	-$(TCLBIN) starter_layer.tcl
	-$(TCLBIN) starter_opentype.tcl
	-$(TCLBIN) starter_path.tcl
	-$(TCLBIN) starter_pcos.tcl
	-$(TCLBIN) starter_pdfa1b.tcl
	-$(TCLBIN) starter_pdfmerge.tcl
	-$(TCLBIN) starter_pdfx3.tcl
	-$(TCLBIN) starter_pdfx4.tcl
	-$(TCLBIN) starter_pdfx5g.tcl
	-$(TCLBIN) starter_portfolio.tcl
	-$(TCLBIN) starter_pvf.tcl
	-$(TCLBIN) starter_shaping.tcl
	-$(TCLBIN) starter_table.tcl
	-$(TCLBIN) starter_tagged.tcl
	-$(TCLBIN) starter_textflow.tcl
	-$(TCLBIN) starter_textline.tcl
	-$(TCLBIN) starter_type3font.tcl
	-$(TCLBIN) starter_webform.tcl

clean::
	$(RM) hello.pdf image.pdf pdfclock.pdf chartab.pdf invoice.pdf
	$(RM) businesscard.pdf quickreference.pdf
	$(RM) starter*.pdf starter_pcos.txt
